List sequence sender profiles
curl --request GET \
--url https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/sender-profiles \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/sender-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/sender-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/sender-profiles';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/sender-profiles"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/sender-profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/sender-profiles")
.header("Authorization", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/sender-profiles");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

{
"pagination": {
"hasNext": true,
"limit": 123,
"page": 123,
"total": 123,
"totalPages": 123
},
"profiles": [
{
"id": 123,
"linkedinAccount": {
"id": 123,
"linkedinUrl": "<string>",
"name": "<string>",
"premium": true,
"profilePictureUrl": "<string>",
"status": "<string>"
},
"mailboxes": [
{
"address": "<string>",
"id": "<string>"
}
],
"name": "<string>",
"status": "<string>"
}
]
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}multichannel
List sequence sender profiles
GET
/
multichannel
/
workspaces
/
{workspaceID}
/
sequences
/
{sequenceID}
/
sender-profiles
List sequence sender profiles
Authorizations
Query Parameters
Page
Required range:
x >= 1Limit (max 100)
Required range:
1 <= x <= 100